Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.util.io
Class TeeOutputStream

    java.lang.Object
      java.io.OutputStream
          org.bouncycastle.util.io.TeeOutputStream

public class TeeOutputStream
extends java.io.OutputStream

An output stream which copies anything written into it to another stream.

Constructor Summary
`TeeOutputStream(java.io.OutputStream output1, java.io.OutputStream output2)` Base constructor.

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(byte[] buf)`
`void` | `write(byte[] buf, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TeeOutputStream

    public TeeOutputStream(java.io.OutputStream output1,
                           java.io.OutputStream output2)

  Base constructor.

Parameters:
  `output1` - the output stream that is wrapped.
  `output2` - a secondary stream that anything written to output1 is also written to.

Method Detail

### write

    public void write(byte[] buf)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] buf,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD